Bug 90142

Summary: [WK2] Serialization of Resource[Request,Response,Error] should be shared across ports
Product: WebKit Reporter: Balazs Kelemen <kbalazs>
Component: WebKit2Assignee: Balazs Kelemen <kbalazs>
Status: RESOLVED FIXED    
Severity: Normal CC: abecsi, cmarcelo, eric, fishd, gns, gyuyoung.kim, hausmann, japhet, menard, naginenis, rakuco, sam, webkit.review.bot, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch hausmann: review+

Description Balazs Kelemen 2012-06-28 00:53:41 PDT
For most ports it is sufficient to encode the ResourceRequestBase, and if needed some additional platform data. We should share the common part.
Comment 1 Balazs Kelemen 2012-06-28 09:28:09 PDT
Created attachment 149963 [details]
Patch
Comment 2 Build Bot 2012-06-28 13:29:16 PDT
Comment on attachment 149963 [details]
Patch

Attachment 149963 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/13106194
Comment 3 Balazs Kelemen 2012-06-29 02:24:17 PDT
Created attachment 150120 [details]
Patch
Comment 4 Balazs Kelemen 2012-08-21 04:50:28 PDT
Comment on attachment 150120 [details]
Patch

This is out of date and need to be updated.
Comment 5 Balazs Kelemen 2012-10-04 05:39:41 PDT
Created attachment 167081 [details]
Patch
Comment 6 Build Bot 2012-10-04 06:10:50 PDT
Comment on attachment 167081 [details]
Patch

Attachment 167081 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/14136997
Comment 7 Balazs Kelemen 2012-10-04 08:55:38 PDT
Created attachment 167111 [details]
Patch
Comment 8 Balazs Kelemen 2012-10-10 10:43:04 PDT
Simon, could you review this? Originally you was the one mentioned that these should be shared across ports. :) After my first patch a patch landed for platforms using soup, but still Qt can also use the same code to serialize the common data.
Comment 9 Balazs Kelemen 2012-10-12 04:15:20 PDT
Landed in http://trac.webkit.org/changeset/131168
Comment 10 Csaba Osztrogon√°c 2012-10-12 04:20:54 PDT
Comment on attachment 167111 [details]
Patch

It broke the ARM build:
/mnt/raptor2/slaves/qt5-linux-armv7-release/build/Source/WebKit2/Shared/WebCoreArgumentCoders.cpp:505:45: error: 'const ValueType' has no member named 'first'
/mnt/raptor2/slaves/qt5-linux-armv7-release/build/Source/WebKit2/Shared/WebCoreArgumentCoders.cpp:505:56: error: 'const ValueType' has no member named 'second'
Comment 11 Sudarsana Nagineni (babu) 2012-10-12 04:37:31 PDT
This change has broken the EFL builds also:
http://build.webkit.org/waterfall?category=EFL
Comment 12 Balazs Kelemen 2012-10-12 04:38:54 PDT
(In reply to comment #11)
> This change has broken the EFL builds also:
> http://build.webkit.org/waterfall?category=EFL

Sorry, hopefully I fixed all the builds in http://trac.webkit.org/changeset/131170.
Comment 13 Raphael Kubo da Costa (:rakuco) 2012-10-12 04:44:50 PDT
Another error has now popped up:

Linking CXX shared library ../../lib/libewebkit2.so
CMakeFiles/ewebkit2.dir/Shared/soup/WebCoreArgumentCodersSoup.cpp.o: In function `CoreIPC::ArgumentCoder<WebCore::ResourceError>::encode(CoreIPC::ArgumentEncoder*, WebCore::ResourceError const&)':
WebCoreArgumentCodersSoup.cpp:(.text+0xe4): multiple definition of `CoreIPC::ArgumentCoder<WebCore::ResourceError>::encode(CoreIPC::ArgumentEncoder*, WebCore::ResourceError const&)'
CMakeFiles/ewebkit2.dir/Shared/WebCoreArgumentCoders.cpp.o:WebCoreArgumentCoders.cpp:(.text+0x11ca): first defined here
CMakeFiles/ewebkit2.dir/Shared/soup/WebCoreArgumentCodersSoup.cpp.o: In function `CoreIPC::ArgumentCoder<WebCore::ResourceError>::decode(CoreIPC::ArgumentDecoder*, WebCore::ResourceError&)':
WebCoreArgumentCodersSoup.cpp:(.text+0xe6): multiple definition of `CoreIPC::ArgumentCoder<WebCore::ResourceError>::decode(CoreIPC::ArgumentDecoder*, WebCore::ResourceError&)'
CMakeFiles/ewebkit2.dir/Shared/WebCoreArgumentCoders.cpp.o:WebCoreArgumentCoders.cpp:(.text+0x1318): first defined here
collect2: ld returned 1 exit status
make[2]: *** [lib/libewebkit2.so.0.1.0] Error 1
make[1]: *** [Source/WebKit2/CMakeFiles/ewebkit2.dir/all] Error 2
make: *** [all] Error 2
Comment 14 Balazs Kelemen 2012-10-12 05:01:13 PDT
Sorry, it's not my day. Should be fixed by http://trac.webkit.org/changeset/131174